<?php

function generate_tooltip_description($row) {

    global $arrCategory;
    global $arrUnfallart;
    global $arrUnfalltyp;
    global $arrLicht;
    global $arrRad;
    global $arrStrassenzustand;
    global $db;

    //$description = $row['description'];

    //$id = $row['id'];
    //$topic = $row['topic'];
    //$numDatum= strtotime($row['created_at']);
    //$datum= date("d.m.Y",$numDatum);


    $strDescription = "<h3>Daten zum Unfall</h3>";
    $description = "<strong>Unfallkategorie:</strong> ".$arrCategory[$row['UKATEGORIE']]."<br>";
    $description .= "<strong>Unfallart:</strong> ".$arrUnfallart[$row['UART']]."<br>";
    $description .= "<strong>Unfalltyp:</strong> ".$arrUnfalltyp[$row['UTYP1']]."<br>";
    $description .= "<strong>Lichtverhältnisse:</strong> ".$arrLicht[$row['ULICHTVERH']]."<br>";
    $description .= "<strong>Straßenzustand:</strong> ".$arrStrassenzustand[$row['STRZUSTAND']]."<br>";
    $description .= "<strong>Unfallbeteiligte:</strong> ";
    if ($row['IstRad']) $description .="mit Fahrradbeteiligung, ";
    if ($row['IstPKW']) $description .="mit PKW-Beteiligung, ";
    if ($row['IstFuss']) $description .="mit Fußgängerbeteiligung, ";
    if ($row['IstKrad']) $description .="mit Kraftradbeteiligung, ";
    if ($row['IstGkfz']) $description .="mit Güterkraftzeugbeteiligung, ";
    if ($row['IstSonstige']) $description .="mit Beteiligung eines oben nicht genannten Verkehrsmittels";

    $strDescription .= nl2br2($description);

    return $strDescription;
}

/**
 *  reads gps location form picture data
 */
function read_gps_location($file){
    if (is_file($file)) {
        $info = exif_read_data($file);
        if (isset($info['GPSLatitude']) && isset($info['GPSLongitude']) &&
            isset($info['GPSLatitudeRef']) && isset($info['GPSLongitudeRef']) &&
            in_array($info['GPSLatitudeRef'], array('E','W','N','S')) && in_array($info['GPSLongitudeRef'], array('E','W','N','S'))) {

            $GPSLatitudeRef  = strtolower(trim($info['GPSLatitudeRef']));
            $GPSLongitudeRef = strtolower(trim($info['GPSLongitudeRef']));

            $lat_degrees_a = explode('/',$info['GPSLatitude'][0]);
            $lat_minutes_a = explode('/',$info['GPSLatitude'][1]);
            $lat_seconds_a = explode('/',$info['GPSLatitude'][2]);
            $lng_degrees_a = explode('/',$info['GPSLongitude'][0]);
            $lng_minutes_a = explode('/',$info['GPSLongitude'][1]);
            $lng_seconds_a = explode('/',$info['GPSLongitude'][2]);

            $lat_degrees = $lat_degrees_a[0] / $lat_degrees_a[1];
            $lat_minutes = $lat_minutes_a[0] / $lat_minutes_a[1];
            $lat_seconds = $lat_seconds_a[0] / $lat_seconds_a[1];
            $lng_degrees = $lng_degrees_a[0] / $lng_degrees_a[1];
            $lng_minutes = $lng_minutes_a[0] / $lng_minutes_a[1];
            $lng_seconds = $lng_seconds_a[0] / $lng_seconds_a[1];

            $lat = (float) $lat_degrees+((($lat_minutes*60)+($lat_seconds))/3600);
            $lng = (float) $lng_degrees+((($lng_minutes*60)+($lng_seconds))/3600);

            //If the latitude is South, make it negative. 
            //If the longitude is west, make it negative
            $GPSLatitudeRef  == 's' ? $lat *= -1 : '';
            $GPSLongitudeRef == 'w' ? $lng *= -1 : '';

            return array(
                'lat' => $lat,
                'lng' => $lng
            );
        }           
    }
    return false;
}

function nl2br2($string) {
    $string = str_replace(array("\r\n", "\r", "\n"), "<br />", $string);
    return $string;
 } 