<?php
    date_default_timezone_set('UTC');
    if (!isset($dbFilename)) {
        $dbFilename = "db/unfallorte";
    }
    $db = new SQLite3($dbFilename);

$strTitle = "Unfallkarte Hamm";
$strIntroText = "Unfallkarte für die Stadt Hamm basierend auf den Daten des Statistischen Bundesamtes.";
$numInfoLat =51.66;
$numInfoLng =7.825;
$numZoom=12;
$fileGeojson ="geojson/hamm.geojson";


$arrCategory = array (
    1 => "Unfall mit Getöteten",
    2 => "Unfall mit Schwerverletztem",
    3 => "Unfall mit Leichtverletztem",
);

$arrUnfallart = array (
    1 => "Zusammenstoß mit anfahrendem/ anhaltendem/ruhendem Fahrzeug",
    2 => "Zusammenstoß mit vorausfahrendem / wartendem Fahrzeug",
    3 => "Zusammenstoß mit seitlich in gleicher Richtung fahrendem Fahrzeug",
    4 => "Zusammenstoß mit entgegenkommendem Fahrzeug",
    5 => "Zusammenstoß mit einbiegendem / kreuzendem Fahrzeug",
    6 => "Zusammenstoß zwischen Fahrzeug und Fußgänger",
    7 => "Aufprall auf Fahrbahnhindernis",
    8 => "Abkommen von Fahrbahn nach rechts",
    9 => "Abkommen von Fahrbahn nach links",
    0 => "Unfall anderer Art",
);

$arrUnfalltyp = array (
    1 => "Fahrunfall",
    2 => "Abbiegeunfall",
    3 => "Einbiegen / Kreuzen-Unfall",
    4 => "Überschreiten-Unfall",
    5 => "Unfall durch ruhenden Verkehr",
    6 => "Unfall im Längsverkehr",
    7 => "sonstiger Unfall",
);

$arrLicht = array (
    0 => "Tageslicht",
    1 => "Dämmerung", 
    2 => "Dunkelheit",
);

$arrRad = array (
    0 => "Unfall ohne Fahrradbeteiligung",
    1 => "Unfall mit Fahrradbeteiligung"
);

$arrStrassenzustand = array (
    0 => "trocken",
    1 => "nass/feucht/schlüpfrig", 
    2 => "winterglatt",
);



$arrTopic = array (
    2 => "Radverkehr",
    1 => "Fußverkehr",
    3 => "Bus und Bahn",
//    4 => "Pkw-Verkehr",
//    5 => "Lkw-Verkehr"
); 

$arrMarkerType = array (
    1=>"pedestrianMarker",
    2=>"bicycleMarker",
    3=>"trainMarker",
    4=>"carMarker",
    5=>"truckMarker",
   );



$arrTransport = array (
    0 => "keine Angabe",
    1 => "kein Auto",
    2 => "Auto",
    3 => "Motorroller/Motorrad",
    4 => "Bus/Bahn",
    5 => "Fahrrad",
    6 => "Zu Fuß"
);   

$arrIcon = array (
    1 => "<i class='wa bg-info fa fa-male'></i>",
    2 => "<i class='wa bg-success fa fa-bicycle'></i>",
    3 => "<i class='wa bg-primary fa fa-bus'></i>",
    4 => "<i class='wa bg-danger fa fa-car'></i>",
    5 => "<i class='wa bg-warning fa fa-truck'></i>"
);